MCP Tools Reference: design.googleapis.com

Tool: icons_instructions

Provides essential and critical instructions on how to use Material Icons and Material Symbols efficiently on Web.

The following sample demonstrate how to use curl to invoke the icons_instructions MCP tool.

Curl Request
                  
curl --location 'https://design.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "icons_instructions",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Output Schema

IconsInstructionsResponse

JSON representation
{
  "instructions": string
}
Fields
instructions

string

Instructions on how to use Google Material Icons and Google Symbols efficiently.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌